Saltar al contenido principal
POST
/
scheduler
/
2026-03
/
meetings
/
calendar
Crear un nuevo evento de reunión del calendario.
curl --request POST \
  --url https://api.hubapi.com/scheduler/2026-03/meetings/calendar \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123
        }
      ]
    }
  ],
  "emailReminderSchedule": {
    "reminders": [
      {
        "numberOfTimeUnits": 123,
        "timeUnit": "DAYS"
      }
    ],
    "shouldIncludeInviteDescription": true
  },
  "properties": {
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hubspot_owner_id": "<string>",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_location": "<string>",
    "hs_meeting_location_type": "ADDRESS"
  },
  "timezone": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "lastUpdatedAt": "2023-11-07T05:31:56Z",
  "properties": {
    "hs_engagement_source": "ACADEMY",
    "hs_engagement_source_id": "<string>",
    "hs_meeting_end_time": "2023-11-07T05:31:56Z",
    "hs_meeting_outcome": "<string>",
    "hs_meeting_start_time": "2023-11-07T05:31:56Z",
    "hs_meeting_title": "<string>",
    "hs_timestamp": "2023-11-07T05:31:56Z",
    "hs_activity_type": "<string>",
    "hs_attachment_ids": [
      "<string>"
    ],
    "hs_attendee_owner_ids": [
      "<string>"
    ],
    "hs_include_description_in_reminder": "<string>",
    "hs_internal_meeting_notes": "<string>",
    "hs_meeting_body": "<string>",
    "hs_meeting_external_url": "<string>",
    "hs_meeting_location": "<string>",
    "hs_meeting_location_type": "ADDRESS",
    "hs_unique_id": "<string>",
    "hubspot_owner_id": "<string>"
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

organizerUserId
string
requerido

El usuario de HubSpot que será considerado como el creador del evento de la reunión.

Cuerpo

application/json
associations
object[]
requerido
emailReminderSchedule
object
requerido
properties
object
requerido
timezone
string
requerido

La propiedad de zona horaria que se definirá en el evento de reunión.

Respuesta

successful operation

createdAt
string<date-time>
requerido

La fecha y hora en que se creó inicialmente el evento de reunión, en formato ISO 8601.

id
string
requerido

El identificador único del evento de reunión.

lastUpdatedAt
string<date-time>
requerido

La fecha y hora en que el evento de reunión se actualizó por última vez, en formato ISO 8601.

properties
object
requerido
Last modified on April 13, 2026